
#ifndef STDDSIN_H
#define STDDSIN_H

/**La seguente classe si occupa di: 
settare il dispositivo nella modalit per la registrazione audio PCM,
leggere i dati registrati e scriverli in un buffer di memoria
*/

#include <alsa/asoundlib.h>

using namespace std; 

/**
@author UNIPA
*/

class DSin{

private:
       snd_pcm_t *pcm_handle_in;
       snd_pcm_uframes_t periods;
       snd_pcm_stream_t stream_in;
       snd_pcm_hw_params_t *hwparams;
       char *devname;
       unsigned int rate;
       int sizeinbyte,num_channels,frames,dir;
       
public:
       DSin(void);
       
       /**Setta i parametri relativi al PCM device*/
       void set_parameters(void);
       /**Legge i dati dalla scheda audio e scrive i dati in un buffer il cui nome  passato come parametro*/
       int rec(unsigned char *Data);
       void loop_rec(unsigned char *Data);
       
       ~DSin(void);

};
#endif
