
#ifndef STDDSOUT_H
#define STDDSOUT_H

/**La seguente classe si occupa di: 
settare il dispositivo nella modalit per la riproduzione audio PCM,
leggere e riprodurre i dati contenuti in un buffer di memoria  
*/

#include <alsa/asoundlib.h>
#include <stdlib.h>
#include <string.h>
#include <stdio.h>

using namespace std;


/**
@author UNIPA
*/

class DSout{

private:
       snd_pcm_hw_params_t *hwparams;
       snd_pcm_t *pcm_handle_out;
       snd_pcm_uframes_t periods;
       snd_pcm_stream_t stream_out;
       char *devname;
       unsigned int rate;
       int sizeinbyte,num_channels,frames,dir;
       
public:
       DSout(void);
       /**Setta i parametri relativi al PCM device*/
       void set_parameters(void);
       /**Legge e riproduce i dati di un buffer il cui nome  passato come parametro*/
       void play(unsigned char *Data);
	void loop_play(unsigned char *Data);
       
       ~DSout(void);

};
#endif
