
#ifndef STDDSTONES_H
#define STDDSTONES_H

#include <alsa/asoundlib.h>

using namespace std;

/**
@author UNIPA
*/
class DStones{

private:
        FILE *p_file;
        snd_pcm_t *pcm_handle;
        snd_pcm_hw_params_t *hwparams;
        snd_pcm_stream_t stream;
        snd_pcm_uframes_t periods;
        char *devname;
        unsigned char *p_buffer;
        unsigned int rate;
        int dir,num_channels,frames,j;

public:
       /**Setta il dispositivo audio*/
       void set_device(void);
       /**Esegue il tono di ring a partire dal file passato con path*/
       void play_tone(unsigned char *Data, char *path);

       DStones(void);
       ~DStones(void);

};



#endif
