/***************************************************************************
 *   Copyright (C) 2005 by ,,,   *
 *   giuseppe@Euclide   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

#ifndef UASETTINGS_H
#define UASETTINGS_H

#include "useragentsip.h"

#include "settingsDlg.h"


#include <qvariant.h>
#include <qdialog.h>
//class UserAgentSip;

class UASettings : public Settings
{
  Q_OBJECT

public:
  UASettings(QWidget* parent = 0, const char* name = 0, WFlags fl = 0 );
  ~UASettings();
  /*$PUBLIC_FUNCTIONS$*/
    virtual QString getDisplayName( void ) const;
    virtual QString getAuthUserName( void ) const;
    virtual QString getRegDuration( void ) const;
    virtual QString getPassword( void ) const;
    virtual QString getPort( void ) const;
    virtual QString getPxPort( void ) const;
    virtual QString getProxyDomain( void ) const;
    virtual QString getOutProxy( void ) const;
    virtual QString getAutoreg( void ) const;
    virtual QString getPtime( void ) const;
    virtual QString getDtmfDuration( void ) const;
    virtual QString getDtmfPause( void ) const;
    virtual QString getDtmfVolume( void ) const;
    virtual QString getLogOutput( void ) const;
    virtual QString getLogLevel( void ) const;
    virtual QString getDtmfMode( void ) const;
    virtual void    LoadConfig();
/*
    virtual QString getSettingsStunServer( void ) const;
    virtual QString getSettingsCodecG711u( void ) const;
    virtual QString getSettingsCodecG711a( void ) const;
    virtual QString getSettingsCodecGSM( void ) const;
    virtual QString getSettingsCodec_iLBC( void ) const;
    virtual QString getSettingsRingYes( void ) const;
    virtual QString getSettingsRingNo( void ) const;
    virtual QString getSettingsCodecH261( void ) const;
    virtual QString getSettingsCodecH263( void ) const;
*/
	enum RegisterState {
		NotRegistered,
		AuthenticationRequired,
		Registered,
		Disconnecting,
		Reconnecting };
    protected:
//UserAgentSip *active_UAS;
public slots:
  //*$PUBLIC_SLOTS$*
    virtual void SlotStoreSipConfig();
    virtual void SlotRegistration();
    
   

protected:
  /*$PROTECTED_FUNCTIONS$*/

protected slots:
  /*$PROTECTED_SLOTS$*/

};

#endif


