
#ifndef STDDSBUFFER_H
#define STDDSBUFFER_H

/**La seguente classe si occupa di creare un 
buffer per immagazinare i dati I/O audio 
*/
#define  MAX_BUFFER_SIZE 8192

#include <pthread.h>

using namespace std;

/**
@author UNIPA
*/
class DSbuffer{
public:
       DSbuffer(pthread_mutex_t*);
	DSbuffer(pthread_mutex_t*, int, char*); 
       /**Crea il buffer della dimensione voluta*/
       void create(int Sizebuffer, char* name);
       /**Ritorna il puntatore al  buffer creato*/
       void *get( void ){ return p_buffer; };
       ~DSbuffer(void);
	void write(void*, size_t);
	int fetch(unsigned, void*);
	void fill();
	char* buffer_name;
private:
        void *p_buffer;
	unsigned max_size; //maximum buffer size (for this buffer!)
	pthread_mutex_t* buff_mutex;
	unsigned size;
        
};

#endif
