/***************************************************************************
 *   Copyright (C) 2005 by ,,,   *
 *  I-TEAM   *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/


#include "useragentwin.h"
#include <kapplication.h>
#include <kaboutdata.h>
#include <kcmdlineargs.h>
#include <klocale.h>
#include "ctrlcenter.h"

static const char description[] =
    I18N_NOOP("A KDE KPart Application");

static const char version[] = "0.1";

static KCmdLineOptions options[] =
{
//    { "+[URL]", I18N_NOOP( "Document to open" ), 0 },
    KCmdLineLastOption
};



int main(int argc, char **argv)
{
    

    KAboutData about("useragent", I18N_NOOP("useragent"), version, description,
		     KAboutData::License_GPL, "(C) 2005 ,,,", 0, 0, "I-TEAM@TTI.UNIPA.IT");
    about.addAuthor( ",,,", 0, "I-TEAM@TTI.UNIPA.IT" );
    KCmdLineArgs::init(argc, argv, &about);
    KCmdLineArgs::addCmdLineOptions( options );
    KApplication app;
    UserAgentWin *mainWin = 0;

   
        // no session.. just start up normally
        KCmdLineArgs *args = KCmdLineArgs::parsedArgs();

        /// @todo do something with the command line args here

        mainWin = new UserAgentWin();
        app.setMainWidget( mainWin );
        mainWin->show();

	SoftState.initialize(mainWin);
	char message[64];
	SoftState.append("Local ports:");
	sprintf(message,"    Control: %s",mainWin->getPort().data());
	SoftState.append(message);
	sprintf(message,"    Data: >= %s",mainWin->getRtpPort().data());
	SoftState.append(message);

        args->clear();

    // mainWin has WDestructiveClose flag by default, so it will delete itself.

//	char *message = "thread_tester";
	//int  iret;
	//CCThread thread(&SoftState, CtrlFunction, message);
	//iret = thread.run();
	//cout << "pthread return:" << iret << endl;
//	pthread_join( thread, NULL);

//	fprintf(stdout,"Thread returns: %d\n",iret1);

	return app.exec();
}




